# Default quota

Manage quotas that apply to created teams.

## Get quotas

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/admin/api/default-quotas`

Get all quotas that apply to teams by default.

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String | App ID      |

#### Query Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| page<mark style="color:red;">\*</mark>  | String | 1           |
| limit<mark style="color:red;">\*</mark> | String | 5           |

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "docs": [
        {
            "_id": "6548a383e2442d14b6bf9721",
            "cloudProvider": {
                "_id": "6548a383e2442d14b6bf9681",
                "name": "Azure",
                "isDisabled": false
            },
            "apps": {
                "nextCloud": 0,
                "gitlab": 0
            },
            "databases": {
                "mongo": 0,
                "postgres": 0,
                "maria": 0,
                "redis": 0
            },
            "vm": 4,
            "k8s": {
                "masterNode": 2,
                "workerNode": 2
            },
            "createdAt": "2023-11-06T08:27:47.146Z",
            "updatedAt": "2023-11-06T08:27:47.146Z",
            "id": "6548a383e2442d14b6bf9721"
        },
        {
            "_id": "6548a383e2442d14b6bf9722",
            "cloudProvider": {
                "_id": "6548a383e2442d14b6bf9682",
                "name": "AWS",
                "isDisabled": false
            },
            "apps": {
                "nextCloud": 0,
                "gitlab": 0
            },
            "databases": {
                "mongo": 0,
                "postgres": 0,
                "maria": 0,
                "redis": 0
            },
            "vm": 4,
            "k8s": {
                "masterNode": 2,
                "workerNode": 2
            },
            "createdAt": "2023-11-06T08:27:47.146Z",
            "updatedAt": "2023-11-06T08:27:47.146Z",
            "id": "6548a383e2442d14b6bf9722"
        },
        {
            "_id": "6548a383e2442d14b6bf9723",
            "cloudProvider": {
                "_id": "6548a383e2442d14b6bf9683",
                "name": "GCP",
                "isDisabled": false
            },
            "apps": {
                "nextCloud": 0,
                "gitlab": 0
            },
            "databases": {
                "mongo": 0,
                "postgres": 0,
                "maria": 0,
                "redis": 0
            },
            "vm": 4,
            "k8s": {
                "masterNode": 2,
                "workerNode": 2
            },
            "createdAt": "2023-11-06T08:27:47.146Z",
            "updatedAt": "2023-11-06T08:27:47.146Z",
            "id": "6548a383e2442d14b6bf9723"
        },
        {
            "_id": "6548a383e2442d14b6bf9724",
            "cloudProvider": {
                "_id": "6548a383e2442d14b6bf9684",
                "name": "OVH",
                "isDisabled": false
            },
            "apps": {
                "nextCloud": 0,
                "gitlab": 0
            },
            "databases": {
                "mongo": 0,
                "postgres": 0,
                "maria": 0,
                "redis": 0
            },
            "vm": 4,
            "k8s": {
                "masterNode": 2,
                "workerNode": 2
            },
            "createdAt": "2023-11-06T08:27:47.146Z",
            "updatedAt": "2023-11-06T08:27:47.146Z",
            "id": "6548a383e2442d14b6bf9724"
        },
        {
            "_id": "6548a383e2442d14b6bf9725",
            "cloudProvider": {
                "_id": "6548a383e2442d14b6bf9685",
                "name": "Kraud.Cloud",
                "isDisabled": false
            },
            "apps": {
                "nextCloud": 4,
                "gitlab": 4
            },
            "databases": {
                "mongo": 4,
                "postgres": 4,
                "maria": 4,
                "redis": 4
            },
            "vm": 4,
            "k8s": {
                "masterNode": 2,
                "workerNode": 2
            },
            "createdAt": "2023-11-06T08:27:47.146Z",
            "updatedAt": "2023-11-06T08:27:47.146Z",
            "id": "6548a383e2442d14b6bf9725"
        }
    ],
    "totalDocs": 5,
    "limit": 5,
    "totalPages": 1,
    "page": 1,
    "pagingCounter": 1,
    "hasPrevPage": false,
    "hasNextPage": false,
    "prevPage": null,
    "nextPage": null
}
```

{% endtab %}
{% endtabs %}

## Update quotas

<mark style="color:orange;">`PUT`</mark> `{{BASE_URL}}/admin/api/default-quotas/{id}`

Update default quotas by unique id.

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String | Quota ID    |

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

#### Request Body

| Name                                   | Type   | Description |
| -------------------------------------- | ------ | ----------- |
| data<mark style="color:red;">\*</mark> | Object |             |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "apps": {
        "nextCloud": 2,
        "gitlab": 2
    },
    "databases": {
        "mongo": 0,
        "postgres": 0,
        "maria": 0,
        "redis": 0
    },
    "k8s": {
        "masterNode": 2,
        "workerNode": 2
    },
    "_id": "6548a383e2442d14b6bf9721",
    "cloudProvider": {
        "_id": "6548a383e2442d14b6bf9681",
        "name": "Azure",
        "isDisabled": false
    },
    "vm": 4,
    "createdAt": "2023-11-06T08:27:47.146Z",
    "updatedAt": "2023-11-07T12:50:31.597Z"
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Request payload</summary>

```json
{
    "vm": 4,
    "k8s": {
        "masterNode": 2,
        "workerNode": 2
    },
    "apps": {
        "nextCloud": 2,
        "gitlab": 2
    },
    "databases": {
        "mongo": 0,
        "postgres": 0,
        "maria": 0,
        "redis": 0
    }
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/admin-admin-api/quotas/default-quota.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
